# Overview

When it comes to building web applications with Alphi you will need an authentication/ membership service to:

* Identify the user executing the flow
* Limit feature access based on the users plan/ subscription
* Allow users to create, read, update and delete records associated with their account

Utilising our authentication integrations, you can connect popular nocode membership services like Outseta and Memberstack in minutes.

## Including a token in a request to Alphi

When running a flow with authentication enabled, you must include the authorisation token in the request.

```
-H "Authorization: Bearer eyJhbGci..."
```

### Javascript Example

```javascript
fetch('https://live.api-server.io/run/v1/YOUR_FLOW_ID', {
    headers: {
      'Authorization': 'Bearer ' + Outseta.getAccessToken()
      // 'Authorization': 'Bearer ' + $memberstackDom.getMemberCookie()
    }
  )
  .then((response) => response.json())
  .then((data) => console.log(data));
```

{% content-ref url="/pages/h7d9OWiHoVZido9eHV1I" %}
[Outseta](/authentication/outseta.md)
{% endcontent-ref %}

{% content-ref url="/pages/SloSqKCWkPf8dMD8EylZ" %}
[Memberstack](/authentication/memberstack.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alphi.dev/authentication/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
